View Issue Details

IDProjectCategoryView StatusLast Update
0023393LazarusWidgetsetpublic2019-04-22 19:33
ReporterMartin Friebe Assigned ToDmitry Boyarintsev  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version1.1 (SVN) 
Summary0023393: Carbon: Application.QueueAsyncCall hangs, if called in WinContros.Resize
DescriptionSee app below. It will hang on start (as resize happens, when form is created)
Additional Informationunit Unit1;
{$mode objfpc}{$H+}
interface
uses Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs;

type
  { TForm1 }
  TForm1 = class(TForm)
    procedure FormResize(Sender: TObject);
  public
    procedure ExecASync(Data: PtrInt);
  end;

var
  Form1: TForm1;

implementation
{$R *.lfm}

procedure TForm1.FormResize(Sender: TObject);
begin
  Application.QueueAsyncCall(@ExecASync, 0);
end;

procedure TForm1.ExecASync(Data: PtrInt);
begin
//
end;

end.

TagsNo tags attached.
Fixed in Revision43469
LazTarget-
WidgetsetCarbon
Attached Files

Relationships

related to 0025322 closedDmitry Boyarintsev Patches IDE hangs on startup on MacOSX 
related to 0025339 closedDmitry Boyarintsev Lazarus IDE will not open 

Activities

Dmitry Boyarintsev

2013-11-21 06:10

developer   ~0071460

please test and close if ok

Dmitry Boyarintsev

2013-11-21 06:11

developer   ~0071461

huh, it took only a year.

Issue History

Date Modified Username Field Change
2012-11-27 16:37 Martin Friebe New Issue
2012-11-27 16:37 Martin Friebe LazTarget => -
2012-11-27 16:37 Martin Friebe Widgetset => Carbon
2013-11-16 16:22 Martin Friebe Relationship added related to 0025322
2013-11-20 19:11 Martin Friebe Relationship added related to 0025339
2013-11-21 06:10 Dmitry Boyarintsev Fixed in Revision => 43469
2013-11-21 06:10 Dmitry Boyarintsev Note Added: 0071460
2013-11-21 06:10 Dmitry Boyarintsev Status new => resolved
2013-11-21 06:10 Dmitry Boyarintsev Resolution open => fixed
2013-11-21 06:10 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2013-11-21 06:11 Dmitry Boyarintsev Note Added: 0071461
2019-04-22 19:33 Martin Friebe Status resolved => closed